## ros-noetic-husky-control 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(husky_control)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-noetic-husky-control 0.6.6

=== debian/changelog ===
ros-noetic-husky-control (0.6.6-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-control (0.6.5-3buster) buster; urgency=high

  * Fixed all scan topics to use front/scan.
  * Disable keyboard input by default; on a normal robot this is launched by the systemd job, where there will never be any keyboard input.
  * Separate the keyboard teleop to a separate topic, add the new topic to the twist_mux
  * Move the keyboard teleop launch into the main teleop file, add an arg to optionally disable it
  * Update package.xml
  * Update CHANGELOG.rst
  * Update CMakeLists.txt
  * Update package.xml
  * Update CHANGELOG.rst
  * Update teleop_keyboard.launch
  * Update CMakeLists.txt
  * Remove scripts
  * Update CHANGELOG.rst
  * Update teleop_keyboard.launch
  * Create teleop_keyboard.launch
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Update package.xml
  * Update package.xml
  * Update package.xml
  * Update package.xml
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Create teleop_keyboard.py
  * Update LICENSE
  * Create LICENSE
  * Contributors: Chris Iverach-Brereton, Tinker Twins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.4-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-control (0.6.3-3buster) buster; urgency=high

  * Enable subst_value when loading config_extras. (#226 <https://github.com/husky/husky/issues/226>)
  * Remove whitespace
  * Re-add base_frame_id and velocity_rolling_window_size
  * Update DiffDriveController params
    - Remove estimate_velocity_from_position: false because it does not exist as a param in DiffDriveController, or anywhere in ros-controllers
    - Remove base_frame_id: base_link because the default value of base_frame_id is already base_link, as per http://wiki.ros.org/diff_drive_controller
    - Remove velocity_rolling_window_size: 2 so velocity_rolling_window_size can take on the default value of 10. A higher value reduces the amount of noise in the odometry, as per: https://docs.google.com/document/d/1x1HOtLs9Z9jfuKdtSMM_YWOrWM4p08LJVt6vQVohVWI/edit#
  * Contributors: Chris I-B, Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-control (0.6.2-3buster) buster; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.1-3buster) buster; urgency=high

  * Overwrite 'wheel_radius_multiplier' with env. var. HUSKY_WHEEL_MULTIPLIER
  * Check launch file only if testing
    When building husky_control, husky_description, husky_navigation or
    husky_viz without tests, CMake fails as it does not find
    catkin_run_tests_target command. This patch adds conditions to fix
    this problem.
  * predict odom->base_link tf to current time
  * Contributors: Alexandre Iooss, Ebrahim Shahrivar, Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.0-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-control (0.5.1-3buster) buster; urgency=high

  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Sep 2021 04:00:00 -0000

ros-noetic-husky-control (0.5.0-3buster) buster; urgency=high

  * Disabled multimaster.
  * Add the link_name parameter to fix the interactive markers in rviz
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Aug 2021 04:00:00 -0000

ros-noetic-husky-control (0.4.4-3buster) buster; urgency=high

  * clearer wording
  * change if to unless
  * added env var and if-statement to disable robot ekf
  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Removed Paul Bovbel as maintainer.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Contributors: Chris I-B, Chris Iverach-Brereton, Jose Mastrangelo, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-noetic-husky-control (0.4.3-3buster) buster; urgency=high

  * Update the udev rules to map the controllers to appropriate symlinks instead of relying on device enumeration to save us
  * Remove the device override for the PS4 controller since we pair with bluez now (which maps the device to /dev/input/js0)
  * Fix the filename in the launch fike
  * Make the Logitech controller config file explicit. Add ascii-art controllers to label the axes to make configuration easier


=== debian/control ===
Source: ros-noetic-husky-control
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: http://ros.org/wiki/husky_control
Standards-Version: 3.9.2

Package: ros-noetic-husky-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-manager, ros-noetic-diff-drive-controller, ros-noetic-husky-description, ros-noetic-interactive-marker-twist-server, ros-noetic-joint-state-controller, ros-noetic-joint-trajectory-controller, ros-noetic-joy, ros-noetic-robot-localization, ros-noetic-robot-state-publisher, ros-noetic-rostopic, ros-noetic-teleop-twist-joy, ros-noetic-teleop-twist-keyboard, ros-noetic-twist-mux
Description: Clearpath Husky controller configurations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-husky-control//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-husky-control 0.6.9

=== debian/changelog ===
ros-noetic-husky-control (0.6.9-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 19 May 2023 04:00:00 -0000

ros-noetic-husky-control (0.6.8-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 04 May 2023 04:00:00 -0000

ros-noetic-husky-control (0.6.7-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 10 Mar 2023 05:00:00 -0000

ros-noetic-husky-control (0.6.6-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-control (0.6.5-1focal) focal; urgency=high

  * Fixed all scan topics to use front/scan.
  * Disable keyboard input by default; on a normal robot this is launched by the systemd job, where there will never be any keyboard input.
  * Separate the keyboard teleop to a separate topic, add the new topic to the twist_mux
  * Move the keyboard teleop launch into the main teleop file, add an arg to optionally disable it
  * Update package.xml
  * Update CHANGELOG.rst
  * Update CMakeLists.txt
  * Update package.xml
  * Update CHANGELOG.rst
  * Update teleop_keyboard.launch
  * Update CMakeLists.txt
  * Remove scripts
  * Update CHANGELOG.rst
  * Update teleop_keyboard.launch
  * Create teleop_keyboard.launch
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Update package.xml
  * Update package.xml
  * Update package.xml
  * Update package.xml
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Create teleop_keyboard.py
  * Update LICENSE
  * Create LICENSE
  * Contributors: Chris Iverach-Brereton, Tinker Twins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-control (0.6.3-1focal) focal; urgency=high

  * Enable subst_value when loading config_extras. (#226 <https://github.com/husky/husky/issues/226>)
  * Remove whitespace
  * Re-add base_frame_id and velocity_rolling_window_size
  * Update DiffDriveController params
    - Remove estimate_velocity_from_position: false because it does not exist as a param in DiffDriveController, or anywhere in ros-controllers
    - Remove base_frame_id: base_link because the default value of base_frame_id is already base_link, as per http://wiki.ros.org/diff_drive_controller
    - Remove velocity_rolling_window_size: 2 so velocity_rolling_window_size can take on the default value of 10. A higher value reduces the amount of noise in the odometry, as per: https://docs.google.com/document/d/1x1HOtLs9Z9jfuKdtSMM_YWOrWM4p08LJVt6vQVohVWI/edit#
  * Contributors: Chris I-B, Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-control (0.6.2-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.1-1focal) focal; urgency=high

  * Overwrite 'wheel_radius_multiplier' with env. var. HUSKY_WHEEL_MULTIPLIER
  * Check launch file only if testing
    When building husky_control, husky_description, husky_navigation or
    husky_viz without tests, CMake fails as it does not find
    catkin_run_tests_target command. This patch adds conditions to fix
    this problem.
  * predict odom->base_link tf to current time
  * Contributors: Alexandre Iooss, Ebrahim Shahrivar, Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-control (0.5.1-1focal) focal; urgency=high

  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Sep 2021 04:00:00 -0000

ros-noetic-husky-control (0.5.0-1focal) focal; urgency=high

  * Disabled multimaster.
  * Add the link_name parameter to fix the interactive markers in rviz
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Aug 2021 04:00:00 -0000

ros-noetic-husky-control (0.4.4-1focal) focal; urgency=high

  * clearer wording
  * change if to unless
  * added env var and if-statement to disable robot ekf
  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Removed Paul Bovbel as maintainer.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Contributors: Chris I-B, Chris Iverach-Brereton, Jose Mastrangelo, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-noetic-husky-control (0.4.3-1focal) focal; urgency=high
